<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class Architecturer_Templates_Source extends Elementor\TemplateLibrary\Source_Base {

	/**
	 * Template prefix
	 *
	 * @var string
	 */
	protected $template_prefix = 'architecturer_';

	/**
	 * Return JetImpex templates prefix
	 *
	 * @return [type] [description]
	 */
	public function get_prefix() {
		return $this->template_prefix;
	}

	public function get_id() {
		return 'architecturer-templates';
	}

	public function get_title() {
		return __( 'Architecturer Templates', 'architecturer-elementor' );
	}

	public function register_data() {}

	public function get_items( $args = array() ) {
		
		$templates = array();

		$templates_data = array(
			1 	=> array(
				'template_id'      	=> $this->template_prefix .'1',
				'source'            => $this->get_id(),
				'title'             => 'Home 1',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_1.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-1',
			),
			2 	=> array(
				'template_id'      	=> $this->template_prefix .'2',
				'source'            => $this->get_id(),
				'title'             => 'Home 2',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_2.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-2/',
			),
			3 	=> array(
				'template_id'      	=> $this->template_prefix .'3',
				'source'            => $this->get_id(),
				'title'             => 'Home 3',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_3.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-3/',
			),
			4 	=> array(
				'template_id'      	=> $this->template_prefix .'4',
				'source'            => $this->get_id(),
				'title'             => 'Home 4',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_4.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-4/',
			),
			5 	=> array(
				'template_id'      	=> $this->template_prefix .'5',
				'source'            => $this->get_id(),
				'title'             => 'Home 5',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_5.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-5/',
			),
			6 	=> array(
				'template_id'      	=> $this->template_prefix .'6',
				'source'            => $this->get_id(),
				'title'             => 'Home 6',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_6.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-6/',
			),
			7 	=> array(
				'template_id'      	=> $this->template_prefix .'7',
				'source'            => $this->get_id(),
				'title'             => 'Home 7',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_7.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-7/',
			),
			8 	=> array(
				'template_id'      	=> $this->template_prefix .'8',
				'source'            => $this->get_id(),
				'title'             => 'Home 8',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_8.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-8/',
			),
			9 	=> array(
				'template_id'      	=> $this->template_prefix .'9',
				'source'            => $this->get_id(),
				'title'             => 'Home 9',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_9.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-9/',
			),
			10 	=> array(
				'template_id'      	=> $this->template_prefix .'10',
				'source'            => $this->get_id(),
				'title'             => 'Home 10',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_10.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-10/',
			),
			11 	=> array(
				'template_id'      	=> $this->template_prefix .'11',
				'source'            => $this->get_id(),
				'title'             => 'Home 11',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_11.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-11/',
			),
			12 	=> array(
				'template_id'      	=> $this->template_prefix .'12',
				'source'            => $this->get_id(),
				'title'             => 'Home 12',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_12.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/home-12/',
			),
			13 	=> array(
				'template_id'      	=> $this->template_prefix .'13',
				'source'            => $this->get_id(),
				'title'             => 'Portfolio List',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_13.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/portfolio-list/',
			),
			14 	=> array(
				'template_id'      	=> $this->template_prefix .'14',
				'source'            => $this->get_id(),
				'title'             => 'Portfolio Classic',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_14.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/portfolio-classic/',
			),
			15 	=> array(
				'template_id'      	=> $this->template_prefix .'15',
				'source'            => $this->get_id(),
				'title'             => 'Portfolio Grid',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_15.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/portfolio-grid/',
			),
			16 	=> array(
				'template_id'      	=> $this->template_prefix .'16',
				'source'            => $this->get_id(),
				'title'             => 'Portfolio Masonry',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_16.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/portfolio-masonry/',
			),
			17 	=> array(
				'template_id'      	=> $this->template_prefix .'17',
				'source'            => $this->get_id(),
				'title'             => 'Portfolio Timeline Horizontal',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_17.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/portfolio-timeline-horizontal/',
			),
			18 	=> array(
				'template_id'      	=> $this->template_prefix .'18',
				'source'            => $this->get_id(),
				'title'             => 'Portfolio Timeline Vertical',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_18.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/portfolio-timeline-vertical/',
			),
			19 	=> array(
				'template_id'      	=> $this->template_prefix .'19',
				'source'            => $this->get_id(),
				'title'             => 'Portfolio Slider',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_19.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/portfolio-slider/',
			),
			20 	=> array(
				'template_id'      	=> $this->template_prefix .'20',
				'source'            => $this->get_id(),
				'title'             => 'Portfolio Multiple Categories',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_20.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/portfolio-multiple-categories/',
			),
			21 	=> array(
				'template_id'      	=> $this->template_prefix .'21',
				'source'            => $this->get_id(),
				'title'             => 'Portfolio Slice Slider',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_21.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/portfolio-slice-slider/',
			),
			22 	=> array(
				'template_id'      	=> $this->template_prefix .'22',
				'source'            => $this->get_id(),
				'title'             => 'Portfolio Scatter',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_22.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/portfolio-scatter/',
			),
			23 	=> array(
				'template_id'      	=> $this->template_prefix .'23',
				'source'            => $this->get_id(),
				'title'             => 'Portfolio Filterable',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_23.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/portfolio-filterable/',
			),
			24 	=> array(
				'template_id'      	=> $this->template_prefix .'24',
				'source'            => $this->get_id(),
				'title'             => 'Single Portfolio 1',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_24.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/single-portfolio-1/',
			),
			25 	=> array(
				'template_id'      	=> $this->template_prefix .'25',
				'source'            => $this->get_id(),
				'title'             => 'Single Portfolio 2',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_25.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/single-portfolio-2/',
			),
			26 	=> array(
				'template_id'      	=> $this->template_prefix .'26',
				'source'            => $this->get_id(),
				'title'             => 'Single Portfolio 3',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_26.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/single-portfolio-3/',
			),
			27 	=> array(
				'template_id'      	=> $this->template_prefix .'27',
				'source'            => $this->get_id(),
				'title'             => 'Single Portfolio 4',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_27.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/single-portfolio-4/',
			),
			28 	=> array(
				'template_id'      	=> $this->template_prefix .'28',
				'source'            => $this->get_id(),
				'title'             => 'Single Portfolio 5',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_28.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/single-portfolio-5/',
			),
			29 	=> array(
				'template_id'      	=> $this->template_prefix .'29',
				'source'            => $this->get_id(),
				'title'             => 'Single Portfolio 6',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_29.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/single-portfolio-6/',
			),
			30 	=> array(
				'template_id'      	=> $this->template_prefix .'30',
				'source'            => $this->get_id(),
				'title'             => 'Single Portfolio 7',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_30.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('portfolio'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/single-portfolio-7/',
			),
			31 	=> array(
				'template_id'      	=> $this->template_prefix .'31',
				'source'            => $this->get_id(),
				'title'             => 'About Us 1',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_31.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/about-us-1/',
			),
			32 	=> array(
				'template_id'      	=> $this->template_prefix .'32',
				'source'            => $this->get_id(),
				'title'             => 'About Us 2',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_32.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/about-us-2/',
			),
			33 	=> array(
				'template_id'      	=> $this->template_prefix .'33',
				'source'            => $this->get_id(),
				'title'             => 'About Us 3',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_33.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/about-us-3/',
			),
			34 	=> array(
				'template_id'      	=> $this->template_prefix .'34',
				'source'            => $this->get_id(),
				'title'             => 'About Us 4',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_34.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/about-us-4/',
			),
			35 	=> array(
				'template_id'      	=> $this->template_prefix .'35',
				'source'            => $this->get_id(),
				'title'             => 'About Me 1',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_35.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/about-me-1/',
			),
			36 	=> array(
				'template_id'      	=> $this->template_prefix .'36',
				'source'            => $this->get_id(),
				'title'             => 'About Me 2',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_36.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/about-me-2/',
			),
			37 	=> array(
				'template_id'      	=> $this->template_prefix .'37',
				'source'            => $this->get_id(),
				'title'             => 'Our Process',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_37.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('process'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/our-process/',
			),
			39 	=> array(
				'template_id'      	=> $this->template_prefix .'39',
				'source'            => $this->get_id(),
				'title'             => 'Pricing',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_39.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('pricing'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/pricing/',
			),
			40 	=> array(
				'template_id'      	=> $this->template_prefix .'40',
				'source'            => $this->get_id(),
				'title'             => 'Contact 1',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_40.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/contact-1/',
			),
			41 	=> array(
				'template_id'      	=> $this->template_prefix .'41',
				'source'            => $this->get_id(),
				'title'             => 'Contact 2',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_41.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/contact-2/',
			),
			42 	=> array(
				'template_id'      	=> $this->template_prefix .'42',
				'source'            => $this->get_id(),
				'title'             => 'Contact 3',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_42.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/contact-3/',
			),
			43 	=> array(
				'template_id'      	=> $this->template_prefix .'43',
				'source'            => $this->get_id(),
				'title'             => 'Our Services',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_43.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('services'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/our-services/',
			),
			44 	=> array(
				'template_id'      	=> $this->template_prefix .'44',
				'source'            => $this->get_id(),
				'title'             => 'Meet The Team',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_44.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('team'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/meet-the-team/',
			),
			45 	=> array(
				'template_id'      	=> $this->template_prefix .'45',
				'source'            => $this->get_id(),
				'title'             => 'Testimonials',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_45.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('testimonials'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/testimonials/',
			),
			46 	=> array(
				'template_id'      	=> $this->template_prefix .'46',
				'source'            => $this->get_id(),
				'title'             => 'Blog Grid No Space',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_46.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/blog-grid-no-space/',
			),
			47 	=> array(
				'template_id'      	=> $this->template_prefix .'47',
				'source'            => $this->get_id(),
				'title'             => 'Blog Grid',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_47.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/blog-grid/',
			),
			48 	=> array(
				'template_id'      	=> $this->template_prefix .'48',
				'source'            => $this->get_id(),
				'title'             => 'Blog Masonry',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_48.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/blog-masonry/',
			),
			49 	=> array(
				'template_id'      	=> $this->template_prefix .'49',
				'source'            => $this->get_id(),
				'title'             => 'Blog Metro No Space',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_49.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/blog-metro-no-space/',
			),
			50 	=> array(
				'template_id'      	=> $this->template_prefix .'50',
				'source'            => $this->get_id(),
				'title'             => 'Blog Metro',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_50.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/blog-metro/',
			),
			51 	=> array(
				'template_id'      	=> $this->template_prefix .'51',
				'source'            => $this->get_id(),
				'title'             => 'Blog Classic',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_51.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/blog-classic/',
			),
			52 	=> array(
				'template_id'      	=> $this->template_prefix .'52',
				'source'            => $this->get_id(),
				'title'             => 'Blog List',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_52.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/blog-list/',
			),
			53 	=> array(
				'template_id'      	=> $this->template_prefix .'53',
				'source'            => $this->get_id(),
				'title'             => 'Blog List Circle',
				'thumbnail'         => 'http://assets.themegoods.com/demo/architecturer/templates/screenshots/architecturer_53.png',
				'date'      		=> date( get_option( 'date_format' ), 1521534913 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://themes.themegoods.com/architecturer/demo/blog-list-circle/',
			),
		);
		
		if ( ! empty( $templates_data ) ) {
			foreach ( $templates_data as $template_data ) {
				$templates[] = $this->get_item( $template_data );
			}
		}

		if ( ! empty( $args ) ) {
			$templates = wp_list_filter( $templates, $args );
		}
		
		return $templates;
	}
	
	public function get_item( $template_data ) {
		return array(
			'template_id'     => $template_data['template_id'],
			'source'          => 'remote',
			'type'            => $template_data['type'],
			'subtype'         => $template_data['subtype'],
			'title'           => $template_data['title'],
			'thumbnail'       => $template_data['thumbnail'],
			'date'            => $template_data['date'],
			'author'          => $template_data['author'],
			'tags'            => $template_data['tags'],
			'isPro'           => ( 1 == $template_data['isPro'] ),
			'popularityIndex' => (int) $template_data['popularityIndex'],
			'trendIndex'      => (int) $template_data['trendIndex'],
			'hasPageSettings' => ( 1 == $template_data['hasPageSettings'] ),
			'url'             => $template_data['url'],
			'favorite'        => ( 1 == $template_data['favorite'] ),
		);
	}

	public function save_item( $template_data ) {
		return false;
	}

	public function update_item( $new_data ) {
		return false;
	}

	public function delete_template( $template_id ) {
		return false;
	}

	public function export_template( $template_id ) {
		return false;
	}

	public function get_data( array $args, $context = 'display' ) {
		$url	  = 'http://assets.themegoods.com/demo/architecturer/templates/json/'.$args['template_id'].'.json';
		$response = wp_remote_get( $url, array( 'timeout' => 60 ) );
		$body     = wp_remote_retrieve_body( $response );
		$body     = json_decode( $body, true );
		$data     = ! empty( $body['content'] ) ? $body['content'] : false;
		
		$result = array();

		$result['content']       = $this->replace_elements_ids($data);
		$result['content']       = $this->process_export_import_content( $result['content'], 'on_import' );
		$result['page_settings'] = array();

		return $result;
	}
}
